Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.ginsim
Class GinSimDiagramViewBuilder

    java.lang.Object
      biouml.model.DefaultDiagramViewBuilder
          biouml.plugins.ginsim.GinSimDiagramViewBuilder

All Implemented Interfaces:
  DiagramViewBuilder

public class GinSimDiagramViewBuilder
extends DefaultDiagramViewBuilder

Field Summary
`static Brush` | `defaultBrush`
`static int` | `defaultHeight`
`static Pen` | `defaultPen`
`static int` | `defaultWidth`

Fields inherited from class biouml.model.DefaultDiagramViewBuilder
`log`

Constructor Summary
`GinSimDiagramViewBuilder()`

Method Summary
`protected boolean` | `createNodeCoreView(CompositeView container, Node node, DiagramViewOptions options, java.awt.Graphics g)`
`protected CompositeView` | `doCreateCompartmentView(Compartment compartment, DiagramViewOptions options, java.awt.Graphics g)` Creates compartment view.

Methods inherited from class biouml.model.DefaultDiagramViewBuilder
`buildNodes, calcAttachmentPoints, createCompartmentView, createDefaultDiagramViewOptions, createDiagramView, createEdgeView, createEquivalentNodeGroupView, createNodeView, createNoteView, getIcon, getIcon, hideElement, isReaction, moveNode, proportion, removeElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultBrush

    public static final Brush defaultBrush

### defaultPen

    public static final Pen defaultPen

### defaultWidth

    public static final int defaultWidth

See Also:
  Constant Field Values

### defaultHeight

    public static final int defaultHeight

See Also:
  Constant Field Values

Constructor Detail

### GinSimDiagramViewBuilder

    public GinSimDiagramViewBuilder()

Method Detail

### doCreateCompartmentView

    protected CompositeView doCreateCompartmentView(Compartment compartment,
                                                    DiagramViewOptions options,
                                                    java.awt.Graphics g)

  Creates compartment view.

  Overrides:
    `doCreateCompartmentView` in class `DefaultDiagramViewBuilder`

### createNodeCoreView

    protected boolean createNodeCoreView(CompositeView container,
                                         Node node,
                                         DiagramViewOptions options,
                                         java.awt.Graphics g)

  Overrides:
    `createNodeCoreView` in class `DefaultDiagramViewBuilder`
  Returns:
    indicates whether a node title should be added to node core view

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.